GNU bug report logs - #24849
Is Emacs put in idle mode when window is not focused?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Johan Andersson <johan.andersson@HIDDEN>; Keywords: confirmed; merged with #22993; dated Tue, 1 Nov 2016 15:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22993 24849. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 2 Nov 2016 08:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 02 04:10:39 2016
Received: from localhost ([127.0.0.1]:39728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1qd5-0002Op-OT
	for submit <at> debbugs.gnu.org; Wed, 02 Nov 2016 04:10:39 -0400
Received: from mail-qk0-f182.google.com ([209.85.220.182]:35926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1qd4-0002Ob-Df
 for 24849 <at> debbugs.gnu.org; Wed, 02 Nov 2016 04:10:38 -0400
Received: by mail-qk0-f182.google.com with SMTP id o68so9073626qkf.3
 for <24849 <at> debbugs.gnu.org>; Wed, 02 Nov 2016 01:10:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=GQ2/bATMp4rPXbeQPxdTPYM6bVEBi98UPkejKAygSJo=;
 b=IoyjURdKwOGSjNqy02h3v9IY/A5CtbpzNE6iFP9tZm0Hde41W1J3XUDD6heVS805JQ
 cgk3YOS8IFZ+AHxfJZDda/QkE9UC6616r9Qe1JNzuCvNwkEU2fTMbvpSq9wFHnKj4lqH
 pvzWxF5xd/fE7DzJ9WdHnZKgC9ZDMK1E2CRCGdxMhj/A3ibNVWAxL1Rwq1QtspaV9dR+
 MmL2x37UXFaYhahNNHdDF4dvF8q7ET8KJDYTXpSAQn4OHzz6IEgNPaA95WoOarvh4rGu
 576yvwm+E+2GG7VtcRGzrfSLWIhoIH9uG1Qm4LuUShVKrzqXss+0laQTeBVds0+Xo4m5
 uzWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=GQ2/bATMp4rPXbeQPxdTPYM6bVEBi98UPkejKAygSJo=;
 b=kMQIGjFm7NVOeO1zOLDi2SHPqIbZ181P8Pa61UtNvt7m9Sf9dGQHnTwUv5Z1+0mO2w
 K1c9hCZk9leaSNmwZmv+Ni+1PJSHf3JbG4LwG1YVqfI+djdstuk5+1itFiYl3bWN6JHI
 Jy3NsniCVFTH05TBQuSYXj6uFJFbmCAyR6UKZZnxny6ZK6jjRw89xfx8F7AN31l8EYy2
 wyDvO1OlyDgUUyWzOKdhwwePhCiEXMxPM31io/2P4Wra8xD/XHCO2aA2TBAIPOASwY/I
 KvHgvxSz7213vloVkC9pbenVlljN0SoWw0Dt2NK52gX3xAESf2SzqzB9jfEdNmWdqfH+
 iURA==
X-Gm-Message-State: ABUngvdHBynTvOo51sHphojDxYrvm/a2n43OT31SzPqBoN+NS8SK3OQPBHqxuJVmJATG95fOx2yZZesHKRSn1w==
X-Received: by 10.55.176.134 with SMTP id z128mr1801191qke.243.1478074232995; 
 Wed, 02 Nov 2016 01:10:32 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Wed, 2 Nov 2016 01:10:12 -0700 (PDT)
In-Reply-To: <E1c1l8l-0007px-DE@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <E1c1l8l-0007px-DE@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Wed, 2 Nov 2016 09:10:12 +0100
Message-ID: <CAF4YyTosRPWeJTYqSoxVnZg2igBhiM1YufbJfhUCZ68Ck+Fj4w@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: rms@HIDDEN
Content-Type: multipart/alternative; boundary=94eb2c06e6c49c0e7d05404cf946
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Seems like Alan had the solution above, but for reference
 I will answer your question anyways. > Does "database" mean a program running
 on your own machine? Yes. [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.220.182 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.220.182 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.220.182 listed in wl.mailspike.net]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 WEIRD_PORT             URI: Uses non-standard port number for HTTP
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Seems like Alan had the solution above, but for reference
   I will answer your question anyways. > Does "database" mean a program running
    on your own machine? Yes. [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.220.182 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.220.182 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.220.182 listed in list.dnswl.org]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 WEIRD_PORT             URI: Uses non-standard port number for HTTP
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--94eb2c06e6c49c0e7d05404cf946
Content-Type: text/plain; charset=UTF-8

Seems like Alan had the solution above, but for reference I will answer
your question anyways.

> Does "database" mean a program running on your own machine?

Yes.

> Does "a web server" mean you're running Emacs on the web server machine
and using Emacs to control it?

No, both the database, web server and Emacs are running on my local machine.


Here is a scenario:

I develop a web application locally. To do that I need a web server,
database and a background worker. I have defined services for all of these.
When I work on this app, I start all of these services in Prodigy. Then I
visit for example http://localhost:3000 in my browser. The app also
connects to the database.

--94eb2c06e6c49c0e7d05404cf946
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Seems like Alan had the solution above, but for reference =
I will answer your question anyways.<div class=3D"gmail_extra"><div class=
=3D"gmail_signature"><div dir=3D"ltr"><div></div></div></div>
</div><div><br></div><div><span style=3D"font-size:12.8px">&gt; Does &quot;=
database&quot; mean a program running on your own machine?</span></div><div=
><br></div><div>Yes.</div><div><br style=3D"font-size:12.8px"><span style=
=3D"font-size:12.8px">&gt; Does &quot;a web server&quot; mean you&#39;re ru=
nning Emacs on the web server machine</span><br style=3D"font-size:12.8px">=
<span style=3D"font-size:12.8px">and using Emacs to control it?</span><div =
class=3D"gmail-yj6qo gmail-ajU" style=3D"font-size:12.8px"></div></div><div=
><span style=3D"font-size:12.8px"><br></span></div><div><span style=3D"font=
-size:12.8px">No, both the database, web server and Emacs are running on my=
 local machine.</span></div><div><span style=3D"font-size:12.8px"><br></spa=
n></div><div><span style=3D"font-size:12.8px"><br></span></div><div><span s=
tyle=3D"font-size:12.8px">Here is a scenario:</span></div><div><span style=
=3D"font-size:12.8px"><br></span></div><div><span style=3D"font-size:12.8px=
">I develop a web application locally. To do that I need a web server, data=
base and a background worker. I have defined services for all of these. Whe=
n I work on this app, I start all of these services in Prodigy. Then I visi=
t for example <a href=3D"http://localhost:3000">http://localhost:3000</a> i=
n my browser. The app also connects to the database.</span></div></div>

--94eb2c06e6c49c0e7d05404cf946--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 2 Nov 2016 08:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 02 04:00:31 2016
Received: from localhost ([127.0.0.1]:39724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1qTG-0002AN-R3
	for submit <at> debbugs.gnu.org; Wed, 02 Nov 2016 04:00:30 -0400
Received: from mail-qk0-f175.google.com ([209.85.220.175]:34100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1qTF-0002AB-9g
 for 24849 <at> debbugs.gnu.org; Wed, 02 Nov 2016 04:00:29 -0400
Received: by mail-qk0-f175.google.com with SMTP id q130so8954525qke.1
 for <24849 <at> debbugs.gnu.org>; Wed, 02 Nov 2016 01:00:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=NlLYRp6wyh2D2s5Q/QQeCFEeDsfFGuLJBNhuUX2Ut3s=;
 b=K9vtjJ5Oz1OJgIUuu/im45bilzmO6ia09Kda2I3tGo/sYRWUnW0CkuZ0pkJgVCXjR7
 6E+hkDB3Q4ZfuMbtB2Doiyos2C9DOZYsZuYOYgjg9GJCyTa9mXSaVRqaWn0QFu/XMTDs
 jrrTtWvsYrhBgCsPPi/AXRT3xDQzXmjKBTxZL9sfaRPlz/QUjSdes5kavRhsm+c+C52U
 VepPC6zxJVZZYpqjTWz0eZoLLJ+76BAJoX5Fco6aN/aFtF7l0xZtboqQRcHiEKe4D96o
 rj6Wjq8Z/kxEerFymiO8J/x82o801Vq+UkHuiycjT0PjHgh0GiVXHWXV8Rousavj+7Ye
 l+GQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=NlLYRp6wyh2D2s5Q/QQeCFEeDsfFGuLJBNhuUX2Ut3s=;
 b=FJQuSITpaqwtQIKm7b/xycxIUKqm10rvQIh+UpeyZfMKmvrqRvj4ctPulzV4BtnZ0F
 tCT0ikz4LKrN2uNJU8fM0xpyzLOqvZKvZRdg6OBGqhxeN55XU5xoAuy6LQ7XQRzkK82S
 bonobFTaJYIXsOYl8cP5LvrYSUsIVfWbyF6BYgy9ESv0eJ1R05kplTXEkx0FetnPm10t
 rxTVTo78HeeUHFyQdfUyujNQcu92l27Ud4omVErakhE6f+u1KR+0eiw3LSvzletcGMlR
 UVi4d3lGTzLq7dnwVAy2qlAs0rGYj7KyRTzwIMGizj7OazKsDwyJd/enx2pscfwBXJYR
 U4gQ==
X-Gm-Message-State: ABUngvd7ACXARs9Q3aBib+3tk1KIilsHpOsWL0hjvw3aoQ/sed8jYe4DxAIIWgQz4wxwb703A1ZIvm98y5NnLw==
X-Received: by 10.55.176.134 with SMTP id z128mr1767941qke.243.1478073623754; 
 Wed, 02 Nov 2016 01:00:23 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Wed, 2 Nov 2016 01:00:03 -0700 (PDT)
In-Reply-To: <20161101232549.GA4922@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
 <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
 <20161101232549.GA4922@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Wed, 2 Nov 2016 09:00:03 +0100
Message-ID: <CAF4YyTq6tKs4wW8_LLV90a1reWjcM5vzdkxvt+zRC-J=wrLJSw@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c06e6c44beb1905404cd562
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24849
Cc: Daniel Colascione <dancol@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--94eb2c06e6c44beb1905404cd562
Content-Type: text/plain; charset=UTF-8

That might actually be it. Tried it out now and it seems to work. Will try
it out today and see if it works.

For reference, to disable nap mode for Emacs, run:

  defaults write org.gnu.Emacs NSAppSleepDisabled -bool YES

Thanks a lot!

--94eb2c06e6c44beb1905404cd562
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_signature">=
<div>That might actually be it. Tried it out now and it seems to work. Will=
 try it out today and see if it works.</div><div dir=3D"ltr"><br></div><div=
>For reference, to disable nap mode for Emacs, run:</div><div dir=3D"ltr"><=
br></div><div dir=3D"ltr">=C2=A0 <font face=3D"monospace, monospace">defaul=
ts write org.gnu.Emacs NSAppSleepDisabled -bool YES</font><br></div><div di=
r=3D"ltr"><br></div><div>Thanks a lot!</div></div>
</div></div>

--94eb2c06e6c44beb1905404cd562--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 2 Nov 2016 02:19:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 22:19:10 2016
Received: from localhost ([127.0.0.1]:39615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1l8w-0000sw-6y
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 22:19:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1c1l8t-0000si-N6
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 22:19:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1c1l8n-00018c-Uk
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 22:19:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.6 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49783)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1c1l8l-00017X-UK; Tue, 01 Nov 2016 22:18:59 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1c1l8l-0007px-DE; Tue, 01 Nov 2016 22:18:59 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Johan Andersson <johan.andersson@HIDDEN>
In-reply-to: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 (message from Johan Andersson on Tue, 1 Nov 2016 09:44:20 +0100)
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
Message-Id: <E1c1l8l-0007px-DE@HIDDEN>
Date: Tue, 01 Nov 2016 22:18:59 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The package is used to manage
  > external services from within Emacs. A service is some kind of running
  > process, usually a web server or database.

Could you explain more concretely the scenario you have in mind here?
Does "database" mean a program running on your own machine?
Does "a web server" mean you're running Emacs on the web server machine
and using Emacs to control it?

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 23:26:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 19:26:00 2016
Received: from localhost ([127.0.0.1]:39561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1iRL-0003fO-Vr
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 19:26:00 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:35969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1c1iRK-0003fC-Kl
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 19:25:59 -0400
Received: by mail-wm0-f44.google.com with SMTP id p190so234607535wmp.1
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 16:25:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=OBzhhho5iFLtMrdEDaqdjJycZIP4Hi83aMPq7bb2pnY=;
 b=Nl+WJrQDN9dzsqdPLtOhndbhpsYLKklXM0nzTTsv1Fn9/c/sW4PmWFFlhZmt6t9++m
 lXhoUHdPZopHakBMAPL/IxTMpEKz/dub9cXp/UlNy+SbwDLyLmkUrxgyivoOCCEvx1jG
 84kTvifnuYWiolONUB6Xp8y+kfhhC8knRBuJMb2wAeWGSk34uJwg/BUL+JBxIwoHjGhq
 htHDkbglTn72Ervp2/Q5eGRXEdWOBcnWQGNGMQJ/HMErmohYtv5Gkhlbt5jgbccBdjTR
 nykDqo2sNxJlgSQoLRi1rp+/QzidH957pt92v3JR2KlzINE8s5YZC1PmPNGD3dVSBYuG
 k6AA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=OBzhhho5iFLtMrdEDaqdjJycZIP4Hi83aMPq7bb2pnY=;
 b=bc2g0XU+/RtN+MwiTl4BTrOgP5JG+KW3uB4Nl7IdCAWvkMY4sW5gQ/6efMBatCb/CV
 Q7EgbOQr9xhlbIXgAbSV8ZVd7rrhnjCtvbwLRvOtx6Ieb4FoHfZbhDEwe36XFmiel/5U
 Bip1QzUhjhc8GrMz3a13Trj/f8NTfcP3+ChLnEDuA20WIvVT+5PI/HAzlzxLVpkqybA5
 hF3y/Z4fiNeTzyYspN8j6BfLyowFgCKYVZxAoqBHkVYxgBYdkR83S2DAwRRqY+8u6Dp7
 1XW8iESoisF8M6tYZql1fCYIX2wLRVgbLb25pTAmZozunPs2/Dh+CWDwcsVVD6wc441t
 2DAA==
X-Gm-Message-State: ABUngvc2dejg7FHPEIOjnFa1FpTkGP7XBFAErnPQoW0hWMycuQf9MyCP6v5REe12dHk5yQ==
X-Received: by 10.28.12.65 with SMTP id 62mr43956wmm.2.1478042752952;
 Tue, 01 Nov 2016 16:25:52 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-9455-a36e-4c26-fac6.holly.idiocy.org.
 [2001:8b0:3f8:8129:9455:a36e:4c26:fac6])
 by smtp.gmail.com with ESMTPSA id jb2sm38167845wjb.44.2016.11.01.16.25.51
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 01 Nov 2016 16:25:52 -0700 (PDT)
Date: Tue, 1 Nov 2016 23:25:49 +0000
From: Alan Third <alan@HIDDEN>
To: Johan Andersson <johan.andersson@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
Message-ID: <20161101232549.GA4922@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
 <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
User-Agent: Mutt/1.7.0 (2016-08-17)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 24849
Cc: Daniel Colascione <dancol@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Tue, Nov 01, 2016 at 09:33:59PM +0100, Johan Andersson wrote:
> > Assuming GNU/Linux here.
> 
> On a Mac here, but I might be able to find a GNU/Linux machine at work tomo.

Hi Johan,

Your problem might be related to bug 22993:

https://lists.gnu.org/archive/html/bug-gnu-emacs/2016-03/msg00590.html

Somewhere down the thread there are a number of work‚Äźarounds
available that you can try.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:53:25 2016
Received: from localhost ([127.0.0.1]:39456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1g3g-0005Dg-Ui
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:53:25 -0400
Received: from mail-qt0-f179.google.com ([209.85.216.179]:33182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1g3f-0005DU-7s
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:53:23 -0400
Received: by mail-qt0-f179.google.com with SMTP id p16so101774528qta.0
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 13:53:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=uES+UVffOl1ZM66o1WwoisEdOo8Ebo2q1uWuElpcaCU=;
 b=0AtddxROMbzaWNZnxITl3Nbvja6RqlO4QzoowPHmCakwGLLkKTss8EJe4Ml8WYMPnt
 42of9/FyXuzIVZg4IlBbpGg4eyGeKk3yotFvNC2YT6zSUXkCv6eCg+z160eBaTMybwnc
 Y5U8BSH8rPn+bE7AsSdS/lsynsuGEhPF9qTsKdslZN2PPto5BphCsGqZ79DX0ncOaH+H
 GBjM2GdZTee/tAQfllHA/8UflwfBSov3SUTDtbt1DcGoiO94ETxDsas7lk6Im/7DMduT
 spNC6NPB5eorugtiy9wL6Y/WDHmnpAkc7YVxh0bS+bs2qOf9qHCpxy7m7uClPLPkGMeR
 4viA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=uES+UVffOl1ZM66o1WwoisEdOo8Ebo2q1uWuElpcaCU=;
 b=RC5EgQmVKvFyZJMBj6piaKtn8AeoAFsPPxn5ZhaLdhhEO7iQaJclOGsaawXq5zlOro
 ffZGw43JPSXdMJS5QMMs5IaSKJ3xmn5skgViDV879FrzyDD+q+u+hpzNEM8hvIoRRoHA
 7zfzR4Rz2plam6ZzFV4oKRBvTnpquxKJzlyd2eXaxV0Ep+6j6CgjpknPnnf47OliqHG3
 JCUoe6zepXl6VXbkOdTDt4EXyg+lsTko7n92PCmmHxHUSLabimi2j3fFBA4FlXWvDUkY
 75Z7Oy5fNLyAU9vtVm4dbUC9jzWUy+BP6xc8J0A/vqsPFFSZF/A8Wurp/GFsjXCzX3Uw
 87Nw==
X-Gm-Message-State: ABUngvfFEHKEuQrn1M6mEdViqufqGr0KnqqHYsFwAMUkin8DJg9jY/k7pd/Gykoec/PIQoCZisshdk55qzu9DA==
X-Received: by 10.200.48.143 with SMTP id v15mr12680932qta.61.1478033597826;
 Tue, 01 Nov 2016 13:53:17 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 13:52:57 -0700 (PDT)
In-Reply-To: <83twbrlyja.fsf@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <83twbrlyja.fsf@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 21:52:57 +0100
Message-ID: <CAF4YyTpvRTs0HZkhh5mOFGciOeR7wC_XFY58o=4Hihccad8dPA@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1139bee290bb1505404383a6
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

--001a1139bee290bb1505404383a6
Content-Type: text/plain; charset=UTF-8

> Emacs sends something to the service, and the time between that and the
response is too long?

No, Emacs starts the service, but the communication to that service never
goes via Emacs. For example for the web server example above, all
communication to the service will go via a browser.

--001a1139bee290bb1505404383a6
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_signature">=
<div dir=3D"ltr"><span style=3D"font-size:12.8px">&gt; Emacs sends somethin=
g to the service, and the=C2=A0</span><span style=3D"font-size:12.8px">time=
 between that and the response is too long?</span><br style=3D"font-size:12=
.8px"></div><div dir=3D"ltr"><span style=3D"font-size:12.8px"><br></span></=
div><div><span style=3D"font-size:12.8px">No, Emacs starts the service, but=
 the communication to that service never goes via Emacs. For example for th=
e web server example above, all communication to the service will go via a =
browser.</span></div></div>
</div></div>

--001a1139bee290bb1505404383a6--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:51:47 2016
Received: from localhost ([127.0.0.1]:39452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1g27-0005B1-JD
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:51:47 -0400
Received: from mail-qt0-f170.google.com ([209.85.216.170]:34954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1g25-0005Ak-J0
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:51:46 -0400
Received: by mail-qt0-f170.google.com with SMTP id c47so55103159qtc.2
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 13:51:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=XwQ9D9/2I76xhS5CKIGQG2QjJsXMWimymbwQoWWi868=;
 b=o3OW8McLDMD512AvhpQNLK+XBFH61hdA3DF7CNAHlS816VEZQnJvkvJShyriFZZXS/
 U6F4qeLgQq5QMwA0rAMgXMdVbNJzKnPeVT9wQGNZCflgwU9rTN1+S57fZyf8uDfj2avK
 dz5CooXMOXC6J+Gvb5hZhJl5uwPtzeIRAtUjqpIP2M+JOps+ChoOQMxxjKO0/aQqwul6
 GkEvPYgGAhDzNfJhbtXQ/TzQSTjyRaN/WzIt4V95cQvHU8U/MU4jI7u7RZ1frJ291j+s
 hqhwwQ8c1zNooSf0JbQLZmJ0atE83KGtuphvHauN0Uq9kcX8FarHUiCmqDiUUKjrK1u8
 0kPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=XwQ9D9/2I76xhS5CKIGQG2QjJsXMWimymbwQoWWi868=;
 b=W739zc0C7fyaK7AO7gtYFsHuPmiPdhoxCC/Hzhc0CeILtN8w9Gcqjzz/qdLwQucU01
 pemnocNiGnlur3DCb20kO8Ia4n0mRc5lK0ScI6okE+iuKmEjaqwYWwBugFra2IA6DB+7
 wo0LAk/SBUIha+l77bhsejPsCuZRjh5OmkcwBC9JW9w5thvqUMel6eiQ7oYn6UK0ajdV
 k7LggL/G9pKp176Aczig/D3qqzeUBdknkmpru4g0XMR+jQA8h4SPBeZAo4fmEvlm3ws4
 kbp/ka3Q0bVswU4jEsjsX1U0yeE70W0jErYokX40b2bJq426ssF5G9YhlhH5UhHuhcJ7
 ouIg==
X-Gm-Message-State: ABUngvfimd5Bo7MXuSvSQpneX1v4B+uwCQHOZQ6j6KI3BnT6WeMEnO/Ks4D46IyQXDPlL+a9GjFFd2DJ9fJQzw==
X-Received: by 10.200.45.129 with SMTP id p1mr6767442qta.96.1478033500038;
 Tue, 01 Nov 2016 13:51:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 13:51:19 -0700 (PDT)
In-Reply-To: <12126fee-ae4f-9ce3-5a31-22e38ba04dcf@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
 <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
 <26658800-320f-359a-6e35-a9deb06d5ed0@HIDDEN>
 <CAF4YyTrVaGDzVadU+wdMbcJd_oAi5R6hwZD7yga+d3_f_-0DXQ@HIDDEN>
 <12126fee-ae4f-9ce3-5a31-22e38ba04dcf@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 21:51:19 +0100
Message-ID: <CAF4YyTr6J6PrfCCsdX00V=kEx1zRd78gr2mNTLDwiHTyNBg0DA@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Daniel Colascione <dancol@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113f45b8bc8b700540437d42
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 24849
Cc: Eli Zaretskii <eliz@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

--001a113f45b8bc8b700540437d42
Content-Type: text/plain; charset=UTF-8

Yes, now you understand the issue correctly!

> I still think a system call trace will help clear up this problem.

I will see if I can get a GNU/Linux machine.

If you want to try it out on your machine, it's easy to do:

1. Install Prodigy: https://github.com/rejeep/prodigy.el/ (package-install
prodigy)
2. Add a simple service:
(prodigy-define-service
  :name "test"
  :cwd "/tmp"
  :command "python"
  :args '("-m" "SimpleHTTPServer" "8000"))
3. Start prodigy (M-x prodigy)
4. Start the service (press s)

--001a113f45b8bc8b700540437d42
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_signature">=
<div>Yes, now you understand the issue correctly!</div><div><br></div><div>=
<div class=3D"gmail-adn gmail-ads"><div class=3D"gmail-gs"><div id=3D"gmail=
-:20b" class=3D"gmail-ii gmail-gt gmail-adP gmail-adO" style=3D"font-size:1=
2.8px"><div id=3D"gmail-:23j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a3=
1f352f374">&gt; I still think a system call trace will help clear up this p=
roblem.<div class=3D"gmail-yj6qo"></div></div><div id=3D"gmail-:23j" class=
=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374"><br></div><div id=3D"gma=
il-:23j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">I will see=
 if I can get a GNU/Linux machine.</div><div id=3D"gmail-:23j" class=3D"gma=
il-a3s gmail-aXjCH gmail-m15821a31f352f374"><br></div><div id=3D"gmail-:23j=
" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">If you want to tr=
y it out on your machine, it&#39;s easy to do:</div><div id=3D"gmail-:23j" =
class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374"><br></div><div id=
=3D"gmail-:23j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">1. =
Install Prodigy:=C2=A0<a href=3D"https://github.com/rejeep/prodigy.el/">htt=
ps://github.com/rejeep/prodigy.el/</a> (package-install prodigy)</div><div =
id=3D"gmail-:23j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">2=
. Add a simple service:</div><div id=3D"gmail-:23j" class=3D"gmail-a3s gmai=
l-aXjCH gmail-m15821a31f352f374"><div id=3D"gmail-:23j" class=3D"gmail-a3s =
gmail-aXjCH gmail-m15821a31f352f374">(prodigy-define-service</div><div id=
=3D"gmail-:23j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">=C2=
=A0 :name &quot;test&quot;</div><div id=3D"gmail-:23j" class=3D"gmail-a3s g=
mail-aXjCH gmail-m15821a31f352f374">=C2=A0 :cwd &quot;/tmp&quot;</div><div =
id=3D"gmail-:23j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">=
=C2=A0 :command &quot;python&quot;</div><div id=3D"gmail-:23j" class=3D"gma=
il-a3s gmail-aXjCH gmail-m15821a31f352f374">=C2=A0 :args &#39;(&quot;-m&quo=
t; &quot;SimpleHTTPServer&quot; &quot;8000&quot;))</div><div id=3D"gmail-:2=
3j" class=3D"gmail-a3s gmail-aXjCH gmail-m15821a31f352f374">3. Start prodig=
y (M-x prodigy)</div><div id=3D"gmail-:23j" class=3D"gmail-a3s gmail-aXjCH =
gmail-m15821a31f352f374">4. Start the service (press s)</div></div></div><d=
iv class=3D"gmail-hi"></div></div><div class=3D"gmail-ajx"></div></div><div=
 class=3D"gmail-gA gmail-gt" style=3D"font-size:12.8px"><div class=3D"gmail=
-gB gmail-acO"><div class=3D"gmail-ip gmail-adB"><div class=3D"gmail-M9"><d=
iv id=3D"gmail-:24c" style=3D"font-size:12.8px"></div><div id=3D"gmail-:1tt=
" style=3D"font-size:12.8px"></div></div></div></div></div></div></div>
</div></div>

--001a113f45b8bc8b700540437d42--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:45:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:45:41 2016
Received: from localhost ([127.0.0.1]:39447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1fw9-00051x-NB
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:45:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1fw7-00051k-SL
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:45:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1fvz-0001kA-Nb
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:45:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45487)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1fvz-0001k6-KK; Tue, 01 Nov 2016 16:45:27 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4404
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1fvw-0003bI-Qb; Tue, 01 Nov 2016 16:45:27 -0400
Date: Tue, 01 Nov 2016 22:45:29 +0200
Message-Id: <83twbrlyja.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Johan Andersson <johan.andersson@HIDDEN>
In-reply-to: <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 (message from Johan Andersson on Tue, 1 Nov 2016 21:18:28 +0100)
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

> From: Johan Andersson <johan.andersson@HIDDEN>
> Date: Tue, 1 Nov 2016 21:18:28 +0100
> Cc: 24849 <at> debbugs.gnu.org
> 
> I added the set-process-filter in case that would make a difference, but I don't think that is the issue here. The
> issue is that the services (sub processes of Emacs as you say) takes a long time to respond when Emacs is
> idle. If I run the same command from a terminal, that doesn't happen.

"To respond"?  That is, Emacs sends something to the service, and the
time between that and the response is too long?

Are you sure it's the time between the input to the service and its
response that's long?  Could it be that Emacs delays sending the input
instead?

Maybe you could describe in more detail how the communications between
Emacs and the service work.  E.g., what triggers sending input from
Emacs to the service?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:44:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:44:49 2016
Received: from localhost ([127.0.0.1]:39443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1fvN-00050E-EF
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:44:49 -0400
Received: from dancol.org ([96.126.100.184]:43302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1c1fvL-000504-Kn
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:44:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:Cc:References:To:Subject;
 bh=JGNaXPjYxRurFH+YDBs2/GW71xp9WWtV3hyYi3wTAB0=; 
 b=ogqyBmIN6+WLyMpG/eqg/Kx7fJ1KaWa/XC+NR1mp9JSzj087V03U5GO9SV4I11cjNbAmwSBxG14ae6pB4B0wJFXih4KevaZGQfQP/LXf7chpaDxybH92jWo9wVVfAqU5ggkKCN+1i+aND0x9SC6FVUrTHtiBlLT5DQJhCCWeJ41qL+mc/x7262wEGH3c6sDNh2zBk0WAiR40pp2veBOkbkz8IRNQxXWxhEUZRf0mRYvkJrvUfpZXjwZ2nq4+/LeUzb+xXtCfSbmX1+8VT06lnxYc+Bsu1wQ6d6XO2hULyfhf+jXWHioMKfW6q5Q7ZTL7HQPDXgFsVRWXlrmaYnvmqg==;
Received: from c-73-97-199-232.hsd1.wa.comcast.net ([73.97.199.232]
 helo=[192.168.1.173])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <dancol@HIDDEN>)
 id 1c1fvK-0005sS-SW; Tue, 01 Nov 2016 13:44:46 -0700
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Johan Andersson <johan.andersson@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
 <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
 <26658800-320f-359a-6e35-a9deb06d5ed0@HIDDEN>
 <CAF4YyTrVaGDzVadU+wdMbcJd_oAi5R6hwZD7yga+d3_f_-0DXQ@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <12126fee-ae4f-9ce3-5a31-22e38ba04dcf@HIDDEN>
Date: Tue, 1 Nov 2016 13:44:43 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
In-Reply-To: <CAF4YyTrVaGDzVadU+wdMbcJd_oAi5R6hwZD7yga+d3_f_-0DXQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 24849
Cc: Eli Zaretskii <eliz@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

On 11/01/2016 01:41 PM, Johan Andersson wrote:
  >> Please start your reply below the text to which you're replying.
>
> Ok, then I guess that's default in Gmail. This better?

Yep. But please also trim your replies, as I have done.


>> ... Internal buffering is a common cause of complaints about parent
> processes not seeing output from children.
>
> I understand that, but that's not my issue here. The sub process might
> not have any output at all, but I would still expect that sub process to
> respond to my requests.

Ah, I see. I think I've misunderstood. The problem isn't that Emacs 
isn't responding to the subprocess saying something to Emacs, but that 
the subprocess _itself_ isn't responding quickly to requests it's 
getting over the network, and that this stalling occurs only when your 
subprocess is run under Emacs? We shouldn't be seeing this issue either: 
Emacs subprocesses do not run in some weird environment.

I still think a system call trace will help clear up this problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:42:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:42:20 2016
Received: from localhost ([127.0.0.1]:39438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1fsu-0004wY-HG
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:42:20 -0400
Received: from mail-qk0-f169.google.com ([209.85.220.169]:34004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1fsr-0004wL-Te
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:42:14 -0400
Received: by mail-qk0-f169.google.com with SMTP id q130so94644379qke.1
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 13:42:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=PUua0fhax8TJjluwbSACxf+XW26kRxNmUvINUWzYzRw=;
 b=nkx6KMtcufCxVjcawTKdDNufdxqgnjTbAUy3uN7i5GiGvHtdFXvtLeFUsqAGVeRDlf
 cgS1ySxott3TvRbzVPWMA8ZMobWg2M0CGHcXsL35g2mFicCTd5pCSYKZudUJyj+rbsNI
 t1Bqg5b7dMDcgCDtcrL7z0Ucdm6VySbk6JE7hQyxKjdu0LIRmdE8NZQMcfjq0axI4XFU
 NV9tFAQIITH3mOn5gwMHY7K6JNitmSPUPqFvMmpq5E3VF6dKRG53vxLzPLqbTSETWqyj
 9oYJ98gtfeWWMwLPgufEZ2T7vglQlaVr3UKPI5JOzmjnSkmyeCUm4LERlk8UTqk1/gZy
 CXOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=PUua0fhax8TJjluwbSACxf+XW26kRxNmUvINUWzYzRw=;
 b=jJQ74a81XKR2UwYDvdg3eNLuYQysV5FJ8dN5CteoEqeWDhLQt1hP3FWVgbjbex/eiD
 7sSM8z+1z2Fr5HEkpPmxzv4W2tqP5wSJCZtOT/S/Yk4zgZQEEX3dS/9sQO9c1cpDFtHf
 PlhWctejRv+WsyakDNmeVl85MttvzOR+0966NMSHHOMLZuqCQktWg5n3Z5fxSu7gL57/
 zUiwPJyg/04WVy2IGAHhx8TChSZyOPGOkWtG5kNNlDVbhBMIuGS37aMGc76+9jRrQXnk
 bqmt3r24fqo+Wkk23ouRHdISwmI0gGxmncJ6221OdbMG4PntogBjv2E9pUpZIDRpQKv6
 FFhQ==
X-Gm-Message-State: ABUngvcabVYWsWmtlA+C/efXQP3xn/0mfy3JSKO92b4yCSd8PO/hcWxcm8wINzwmIcs6eZQkItIhG9sS+dOhog==
X-Received: by 10.55.176.134 with SMTP id z128mr22695541qke.243.1478032928434; 
 Tue, 01 Nov 2016 13:42:08 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 13:41:48 -0700 (PDT)
In-Reply-To: <26658800-320f-359a-6e35-a9deb06d5ed0@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
 <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
 <26658800-320f-359a-6e35-a9deb06d5ed0@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 21:41:48 +0100
Message-ID: <CAF4YyTrVaGDzVadU+wdMbcJd_oAi5R6hwZD7yga+d3_f_-0DXQ@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Daniel Colascione <dancol@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c06e6c4aa9bc00540435bdf
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, Nov 1, 2016 at 9:37 PM,
 Daniel Colascione <dancol@HIDDEN>
 wrote: > On 11/01/2016 01:33 PM, Johan Andersson wrote: > >> BTW: please
 don't top-post >>> >> >> Sorry, what? >> > > Please start your reply below
 the text to which you're replying. > > A: Because we read from top to bottom, 
 left to right. > Q: Why should I start my reply below the quoted text? >
 > A: Because it messes up the order in which people normally read text. >
 Q: Why is top-posting such a bad thing? > > A: The lost context. > Q: What
 makes top-posted replies harder to read than bottom-posted? > > A: Yes. >
 Q: Should I trim down the quoted part of an email to which I'm > replying?
 > > > >> Are you sure that your subprocess isn't buffering its output? >>>
 >> >> No. Does that make a difference? >> > > Emacs can't respond to what
 it can't see. If your subprocess isn't pushing > bytes to the kernel and
 is instead buffering internally,
 Emacs can't see > those bytes. Internal buffering
 is a common cause of complaints about > parent processes not seeing output
 from children. > > >> Can you catch Emacs in the act? >>> >> >> What do you
 mean? >> >> Assuming GNU/Linux here. >>> >> >> On a Mac here, but I might
 be able to find a GNU/Linux machine at work >> tomo. >> > > dtrace, which
 OS X supports, has similar system-call-tracing capabilities, > although I
 don't know the correct incantation off the top of my head. > > >> > Please
 start your reply below the text to which you're replying. [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.220.169 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.220.169 listed in list.dnswl.org]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.220.169 listed in wl.mailspike.net]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 24849
Cc: Eli Zaretskii <eliz@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Nov 1, 2016 at 9:37 PM, Daniel Colascione <dancol@HIDDEN>
    wrote: > On 11/01/2016 01:33 PM, Johan Andersson wrote: > >> BTW: please
   don't top-post >>> >> >> Sorry, what? >> > > Please start your reply below
    the text to which you're replying. > > A: Because we read from top to bottom,
    left to right. > Q: Why should I start my reply below the quoted text? >
   > A: Because it messes up the order in which people normally read text. >
   Q: Why is top-posting such a bad thing? > > A: The lost context. > Q: What
    makes top-posted replies harder to read than bottom-posted? > > A: Yes. >
    Q: Should I trim down the quoted part of an email to which I'm > replying?
    > > > >> Are you sure that your subprocess isn't buffering its output? >>>
    >> >> No. Does that make a difference? >> > > Emacs can't respond to what
    it can't see. If your subprocess isn't pushing > bytes to the kernel and
   is instead buffering internally, Emacs can't see > those bytes. Internal buffering
    is a common cause of complaints about > parent processes not seeing output
    from children. > > >> Can you catch Emacs in the act? >>> >> >> What do you
    mean? >> >> Assuming GNU/Linux here. >>> >> >> On a Mac here, but I might
    be able to find a GNU/Linux machine at work >> tomo. >> > > dtrace, which
    OS X supports, has similar system-call-tracing capabilities, > although I
    don't know the correct incantation off the top of my head. > > >> > Please
    start your reply below the text to which you're replying. [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.220.169 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.220.169 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.220.169 listed in list.dnswl.org]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--94eb2c06e6c4aa9bc00540435bdf
Content-Type: text/plain; charset=UTF-8

On Tue, Nov 1, 2016 at 9:37 PM, Daniel Colascione <dancol@HIDDEN> wrote:

> On 11/01/2016 01:33 PM, Johan Andersson wrote:
>
>> BTW: please don't top-post
>>>
>>
>> Sorry, what?
>>
>
> Please start your reply below the text to which you're replying.
>
>     A: Because we read from top to bottom, left to right.
>     Q: Why should I start my reply below the quoted text?
>
>     A: Because it messes up the order in which people normally read text.
>     Q: Why is top-posting such a bad thing?
>
>     A: The lost context.
>     Q: What makes top-posted replies harder to read than bottom-posted?
>
>     A: Yes.
>     Q: Should I trim down the quoted part of an email to which I'm
> replying?
>
>
>
>> Are you sure that your subprocess isn't buffering its output?
>>>
>>
>> No. Does that make a difference?
>>
>
> Emacs can't respond to what it can't see. If your subprocess isn't pushing
> bytes to the kernel and is instead buffering internally, Emacs can't see
> those bytes. Internal buffering is a common cause of complaints about
> parent processes not seeing output from children.
>
>
>> Can you catch Emacs in the act?
>>>
>>
>> What do you mean?
>>
>> Assuming GNU/Linux here.
>>>
>>
>> On a Mac here, but I might be able to find a GNU/Linux machine at work
>> tomo.
>>
>
> dtrace, which OS X supports, has similar system-call-tracing capabilities,
> although I don't know the correct incantation off the top of my head.
>
>
>>
> Please start your reply below the text to which you're replying.

Ok, then I guess that's default in Gmail. This better?

> ... Internal buffering is a common cause of complaints about parent
processes not seeing output from children.

I understand that, but that's not my issue here. The sub process might not
have any output at all, but I would still expect that sub process to
respond to my requests.

-- 
Johan Andersson
System Developer, Burt
www.burtcorp.com
Cell: +46 761 041607
https:// <http://twitter.com/rejeep>github.com/rejeep |
http://twitter.com/rejeep | http://twitter.com/burtcorp

--94eb2c06e6c4aa9bc00540435bdf
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><div class=3D"gmail_extra"><br><div class=3D"gmail_quo=
te">On Tue, Nov 1, 2016 at 9:37 PM, Daniel Colascione <span dir=3D"ltr">&lt=
;<a href=3D"mailto:dancol@HIDDEN" target=3D"_blank">dancol@HIDDEN</=
a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0=
px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><=
span class=3D"gmail-">On 11/01/2016 01:33 PM, Johan Andersson wrote:<br>
</span><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;=
border-left:1px solid rgb(204,204,204);padding-left:1ex"><span class=3D"gma=
il-"><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bo=
rder-left:1px solid rgb(204,204,204);padding-left:1ex">
BTW: please don&#39;t top-post<br>
</blockquote>
<br></span>
Sorry, what?<br>
</blockquote>
<br>
Please start your reply below the text to which you&#39;re replying.<br>
<br>
=C2=A0 =C2=A0 A: Because we read from top to bottom, left to right.<br>
=C2=A0 =C2=A0 Q: Why should I start my reply below the quoted text?<br>
<br>
=C2=A0 =C2=A0 A: Because it messes up the order in which people normally re=
ad text.<br>
=C2=A0 =C2=A0 Q: Why is top-posting such a bad thing?<br>
<br>
=C2=A0 =C2=A0 A: The lost context.<br>
=C2=A0 =C2=A0 Q: What makes top-posted replies harder to read than bottom-p=
osted?<br>
<br>
=C2=A0 =C2=A0 A: Yes.<br>
=C2=A0 =C2=A0 Q: Should I trim down the quoted part of an email to which I&=
#39;m replying?<span class=3D"gmail-"><br>
<br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">
Are you sure that your subprocess isn&#39;t buffering its output?<br>
</blockquote>
<br>
No. Does that make a difference?<br>
</blockquote>
<br></span>
Emacs can&#39;t respond to what it can&#39;t see. If your subprocess isn&#3=
9;t pushing bytes to the kernel and is instead buffering internally, Emacs =
can&#39;t see those bytes. Internal buffering is a common cause of complain=
ts about parent processes not seeing output from children.<span class=3D"gm=
ail-"><br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">
Can you catch Emacs in the act?<br>
</blockquote>
<br>
What do you mean?<br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">
Assuming GNU/Linux here.<br>
</blockquote>
<br>
On a Mac here, but I might be able to find a GNU/Linux machine at work tomo=
.<br>
</blockquote>
<br></span>
dtrace, which OS X supports, has similar system-call-tracing capabilities, =
although I don&#39;t know the correct incantation off the top of my head.<b=
r>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">
<br>
</blockquote>
</blockquote></div><br><span style=3D"font-size:12.8px">&gt; Please start y=
our reply below the text to which you&#39;re replying.</span></div><div cla=
ss=3D"gmail_extra"><br></div><div class=3D"gmail_extra">Ok, then I guess th=
at&#39;s default in Gmail. This better?<br style=3D"font-size:12.8px"><div>=
<br></div><div>&gt; ... Internal buffering is a common cause of complaints =
about parent processes not seeing output from children.<span class=3D"gmail=
-"><br></span></div><div><br></div><div>I understand that, but that&#39;s n=
ot my issue here. The sub process might not have any output at all, but I w=
ould still expect that sub process to respond to my requests.</div><div><br=
></div>-- <br><div class=3D"gmail_signature"><div dir=3D"ltr"><div><div>Joh=
an Andersson</div><div><span>System Developer</span>, Burt</div><div><a hre=
f=3D"http://www.burtcorp.com" target=3D"_blank">www.burtcorp.com</a></div><=
div>Cell: +46 761 041607</div><div><a href=3D"http://twitter.com/rejeep" st=
yle=3D"font-size:12.8px" target=3D"_blank">https://</a><a href=3D"http://gi=
thub.com/rejeep" target=3D"_blank">github.com/rejeep</a>=C2=A0|=C2=A0<a hre=
f=3D"http://twitter.com/rejeep" style=3D"font-size:12.8px" target=3D"_blank=
">http://twitter.com/rejeep</a><span style=3D"font-size:12.8px">=C2=A0| </s=
pan><a href=3D"http://twitter.com/burtcorp" style=3D"font-size:12.8px" targ=
et=3D"_blank">http://twitter.com/burtcorp</a></div></div></div></div>
</div></div>

--94eb2c06e6c4aa9bc00540435bdf--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:37:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:37:42 2016
Received: from localhost ([127.0.0.1]:39434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1foT-0004ph-W9
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:37:42 -0400
Received: from dancol.org ([96.126.100.184]:43294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1c1foS-0004pa-Or
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:37:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:Cc:References:To:Subject;
 bh=3X84SMhMJTpugqn778+h9kN4rLs3zZiHz3WhDObrDYo=; 
 b=B6xJx4k7B0mKZ4PWxyVTrwviAE/HiRaRDO6O9kR6gpNaVAiTouhHjY3Ly5HEQ8lQvFjd8Ykf9LtjI68ZhdcgJ+ckj6grtd2gtfp5Sq/M8fPmLYZKUqxk/qVSDeNMysjAKjPdxagiz3pg7BksQ6qh7fwkP3i/XZgQM/9qvdexSorFPv5y8WLEkbd37SCCLwZVpxcttenE6YsKlsu62kfkVTqjWV9ImvD7mDdpTEUAaCz4/j2qt/27e0zq+zPAM041gi7ChLI8ByXsV4Y1DiODXAfJ8jlxcbv9INT6ig9jolC6cAX/6zD2XJe4YzZpHite2ZS0YY8nI42VrEK0gBQ6tA==;
Received: from c-73-97-199-232.hsd1.wa.comcast.net ([73.97.199.232]
 helo=[192.168.1.173])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <dancol@HIDDEN>)
 id 1c1foR-0005pF-Qo; Tue, 01 Nov 2016 13:37:39 -0700
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Johan Andersson <johan.andersson@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
 <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <26658800-320f-359a-6e35-a9deb06d5ed0@HIDDEN>
Date: Tue, 1 Nov 2016 13:37:36 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
In-Reply-To: <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 24849
Cc: Eli Zaretskii <eliz@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

On 11/01/2016 01:33 PM, Johan Andersson wrote:
>> BTW: please don't top-post
>
> Sorry, what?

Please start your reply below the text to which you're replying.

     A: Because we read from top to bottom, left to right.
     Q: Why should I start my reply below the quoted text?

     A: Because it messes up the order in which people normally read text.
     Q: Why is top-posting such a bad thing?

     A: The lost context.
     Q: What makes top-posted replies harder to read than bottom-posted?

     A: Yes.
     Q: Should I trim down the quoted part of an email to which I'm 
replying?


>
>> Are you sure that your subprocess isn't buffering its output?
>
> No. Does that make a difference?

Emacs can't respond to what it can't see. If your subprocess isn't 
pushing bytes to the kernel and is instead buffering internally, Emacs 
can't see those bytes. Internal buffering is a common cause of 
complaints about parent processes not seeing output from children.

>
>> Can you catch Emacs in the act?
>
> What do you mean?
>
>> Assuming GNU/Linux here.
>
> On a Mac here, but I might be able to find a GNU/Linux machine at work tomo.

dtrace, which OS X supports, has similar system-call-tracing 
capabilities, although I don't know the correct incantation off the top 
of my head.

>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:34:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:34:35 2016
Received: from localhost ([127.0.0.1]:39430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1flL-0004lH-Rf
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:34:35 -0400
Received: from mail-qk0-f180.google.com ([209.85.220.180]:35062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1flJ-0004l4-Ky
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:34:26 -0400
Received: by mail-qk0-f180.google.com with SMTP id z190so212863674qkc.2
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 13:34:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=MOSzvzCA7zeogJaK0ddmCgnpmLV4QnW79RbVdOmrdT0=;
 b=EvNbu1K6IldeW312e1XDFa0Cwls16lkZCcf+ITu2MVFifXbBTsl1yBvF/Gl30ExbBa
 br/pwgemRJkcPFxsWhaxbWOpQPU55PAt/wKYs/gm2t7dQCuTnNZ0+UTasHEvE1We14fR
 q0j+wPsjZ8NoP6/VcK24bhmk2pev+GM1Gnas9O0M9Jv08GEIs1qKefu/MaM9XPBGuLpd
 47sd0UC6NjdxwFORB8rLFUn2GzwMvJX/1KGNc9+CY5dtrs7t5pXtxqsK/kJLavWIFsEl
 qH2ZvdXO8cuLlTDBZRo77CvDHirw/glbxC2iN33D3YUsM6nzcfMITzrqiPlCfGmDGe1c
 PWJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=MOSzvzCA7zeogJaK0ddmCgnpmLV4QnW79RbVdOmrdT0=;
 b=azrbqRRrKt3R8AKs5/lpACkvq5pYDERmp3L8W+koHwm73XhTf/6gjhQ7vek7hJezXP
 +XQ0LuBhEqXjZVGhVPbLD0CHCYhwjMk5SLvWmVtK5iZOM931pfwtSbypLJ5CEl46PdNn
 m6Ls1OnuwdOlsyNecMqj2CsAG2kYWbNe7gOeTImVZTpdwwxQotPHdmIoLX3X7wfbCALP
 Jn7M/4WzM6M9Z1NqSWTVeG272mzmvAG3E0LLuAaer+E6biuCfsEy5WyBnlvVuvHR7d/n
 WSou39zICIXJ8KFAlET9GgS+kjl7uoSeNL4ZeWDUdhQdfsK08q1Qyie9luj6p2e3NVQb
 Z76A==
X-Gm-Message-State: ABUngvf3iWfeU1tE03jdg1mfxwUn2WyOKzJX+wcMFie3B6SrAMx1i9CzhsizNrMm0tQfdPkoXHhg3QfPGKN1jA==
X-Received: by 10.55.123.133 with SMTP id w127mr224207qkc.298.1478032460014;
 Tue, 01 Nov 2016 13:34:20 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 13:33:59 -0700 (PDT)
In-Reply-To: <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
 <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 21:33:59 +0100
Message-ID: <CAF4YyTp9ywu85eEfdLZ9CesMJa=_L6fFdb7mXvEjP9aQcR6qVw@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Daniel Colascione <dancol@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c063bdcbf1aa40540433f7e
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 24849
Cc: Eli Zaretskii <eliz@HIDDEN>, 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

--94eb2c063bdcbf1aa40540433f7e
Content-Type: text/plain; charset=UTF-8

> BTW: please don't top-post

Sorry, what?

> Are you sure that your subprocess isn't buffering its output?

No. Does that make a difference?

> Can you catch Emacs in the act?

What do you mean?

> Assuming GNU/Linux here.

On a Mac here, but I might be able to find a GNU/Linux machine at work tomo.

On Tue, Nov 1, 2016 at 9:28 PM, Daniel Colascione <dancol@HIDDEN> wrote:

> BTW: please don't top-post
>
> On 11/01/2016 01:18 PM, Johan Andersson wrote:
>
>> I added the set-process-filter in case that would make a difference, but
>> I don't think that is the issue here. The issue is that the services
>> (sub processes of Emacs as you say) takes a long time to respond when
>> Emacs is idle. If I run the same command from a terminal, that doesn't
>> happen.
>>
>
> Are you sure that your subprocess isn't buffering its output?
>
> Can you catch Emacs in the act?
>
> (Assuming GNU/Linux here.) Run emacs with "strace -s256 -o trace -ff -tt
> emacs" and look at the trace.* files produced. You should have one for each
> thread in each process. You should be able to identify the process involved
> from the system calls in each. (Look for execve.) Now, look for the
> write(2) system call from your subprocess and see how much time passes
> between that system call and Emacs waking up from pselect.
>
> If Emacs wakes up very soon after that write(2), the problem lies in your
> code. If there is a big delay between that write(2) and Emacs returning
> from pselect, the problem is likely in Emacs.
>
>
>> On Tue, Nov 1, 2016 at 9:13 PM, Eli Zaretskii <eliz@HIDDEN
>> <mailto:eliz@HIDDEN>> wrote:
>>
>>     > From: Johan Andersson <johan.andersson@HIDDEN
>>     <mailto:johan.andersson@HIDDEN>>
>>     > Date: Tue, 1 Nov 2016 20:48:59 +0100
>>     > Cc: 24849 <at> debbugs.gnu.org <mailto:24849 <at> debbugs.gnu.org>
>>     >
>>     > (let* ((default-directory "/tmp")
>>     > (process (start-process "server" nil "python" "-m"
>> "SimpleHTTPServer" "8000")))
>>     > (set-process-filter
>>     > process
>>     > (lambda (_ output)
>>     > ;; ...
>>     > )))
>>     >
>>     > What happens in practice is that, when I get to work, I select the
>> services I need and start them (unless
>>     > Emacs was killed, they are already started). Sometimes I use Emacs
>> quite frequently and then this is not so
>>     > much of an issue because Emacs does not have time to idle. But when
>> I don't use Emacs for a while, it will
>>     > hang waiting for the response from the service (because Emacs is
>> idle).
>>
>>     So you are saying that the service, which is a sub-process of Emacs,
>>     produces some output, but Emacs doesn't read that output timely enough
>>     because it's idle?  That's not possible, I think: when Emacs is idle,
>>     it is most of the time stuck inside a call to 'pselect', which should
>>     return immediately when some input arrived from a sub-process.
>>
>>     So I guess I still don't understand something in your setup.  But
>>     what?
>>
>>
>>
>>
>> --
>> Johan Andersson
>> System Developer, Burt
>> www.burtcorp.com <http://www.burtcorp.com>
>> Cell: +46 761 041607
>> https:// <http://twitter.com/rejeep>github.com/rejeep
>> <http://github.com/rejeep> | http://twitter.com/rejeep |
>> http://twitter.com/burtcorp
>>
>


-- 
Johan Andersson
System Developer, Burt
www.burtcorp.com
Cell: +46 761 041607
https:// <http://twitter.com/rejeep>github.com/rejeep |
http://twitter.com/rejeep | http://twitter.com/burtcorp

--94eb2c063bdcbf1aa40540433f7e
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"font-size:12.8px">&gt; BTW: please don&#39;=
t top-post</span><div><span class=3D"gmail-im" style=3D"font-size:12.8px"><=
br></span></div><div><span class=3D"gmail-im" style=3D"font-size:12.8px">So=
rry, what?<br></span><div><span style=3D"font-size:12.8px"><br></span></div=
><div><span style=3D"font-size:12.8px">&gt; Are you sure that your subproce=
ss isn&#39;t buffering its output?</span></div><div><br></div><div>No. Does=
 that make a difference?<br style=3D"font-size:12.8px"><br style=3D"font-si=
ze:12.8px"><span style=3D"font-size:12.8px">&gt; Can you catch Emacs in the=
 act?</span><br style=3D"font-size:12.8px"></div><div><span style=3D"font-s=
ize:12.8px"><br></span></div><div><span style=3D"font-size:12.8px">What do =
you mean?</span></div><div><span style=3D"font-size:12.8px"><br></span></di=
v><div><span style=3D"font-size:12.8px">&gt; Assuming GNU/Linux here.</span=
><span style=3D"font-size:12.8px"><br></span></div></div><div><span style=
=3D"font-size:12.8px"><br></span></div><div><span style=3D"font-size:12.8px=
">On a Mac here, but I might be able to find a GNU/Linux machine at work to=
mo.</span></div></div><div class=3D"gmail_extra"><br><div class=3D"gmail_qu=
ote">On Tue, Nov 1, 2016 at 9:28 PM, Daniel Colascione <span dir=3D"ltr">&l=
t;<a href=3D"mailto:dancol@HIDDEN" target=3D"_blank">dancol@HIDDEN<=
/a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:=
0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">BTW: please don&#39=
;t top-post<span class=3D""><br>
<br>
On 11/01/2016 01:18 PM, Johan Andersson wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">
I added the set-process-filter in case that would make a difference, but<br=
>
I don&#39;t think that is the issue here. The issue is that the services<br=
>
(sub processes of Emacs as you say) takes a long time to respond when<br>
Emacs is idle. If I run the same command from a terminal, that doesn&#39;t<=
br>
happen.<br>
</blockquote>
<br></span>
Are you sure that your subprocess isn&#39;t buffering its output?<br>
<br>
Can you catch Emacs in the act?<br>
<br>
(Assuming GNU/Linux here.) Run emacs with &quot;strace -s256 -o trace -ff -=
tt emacs&quot; and look at the trace.* files produced. You should have one =
for each thread in each process. You should be able to identify the process=
 involved from the system calls in each. (Look for execve.) Now, look for t=
he write(2) system call from your subprocess and see how much time passes b=
etween that system call and Emacs waking up from pselect.<br>
<br>
If Emacs wakes up very soon after that write(2), the problem lies in your c=
ode. If there is a big delay between that write(2) and Emacs returning from=
 pselect, the problem is likely in Emacs.<br>
<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex"><span class=3D"">
<br>
On Tue, Nov 1, 2016 at 9:13 PM, Eli Zaretskii &lt;<a href=3D"mailto:eliz@gn=
u.org" target=3D"_blank">eliz@HIDDEN</a><br></span><span class=3D"">
&lt;mailto:<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</=
a>&gt;&gt; wrote:<br>
<br>
=C2=A0 =C2=A0 &gt; From: Johan Andersson &lt;<a href=3D"mailto:johan.anders=
son@HIDDEN" target=3D"_blank">johan.andersson@HIDDEN</a><br></s=
pan>
=C2=A0 =C2=A0 &lt;mailto:<a href=3D"mailto:johan.andersson@HIDDEN" ta=
rget=3D"_blank">johan.andersson@burtco<wbr>rp.com</a>&gt;&gt;<span class=3D=
""><br>
=C2=A0 =C2=A0 &gt; Date: Tue, 1 Nov 2016 20:48:59 +0100<br></span>
=C2=A0 =C2=A0 &gt; Cc: <a href=3D"mailto:24849 <at> debbugs.gnu.org" target=3D"_=
blank">24849 <at> debbugs.gnu.org</a> &lt;mailto:<a href=3D"mailto:24849@debbugs=
.gnu.org" target=3D"_blank">24849 <at> debbugs.gnu.org</a>&gt;<span class=3D""><=
br>
=C2=A0 =C2=A0 &gt;<br>
=C2=A0 =C2=A0 &gt; (let* ((default-directory &quot;/tmp&quot;)<br>
=C2=A0 =C2=A0 &gt; (process (start-process &quot;server&quot; nil &quot;pyt=
hon&quot; &quot;-m&quot; &quot;SimpleHTTPServer&quot; &quot;8000&quot;)))<b=
r>
=C2=A0 =C2=A0 &gt; (set-process-filter<br>
=C2=A0 =C2=A0 &gt; process<br>
=C2=A0 =C2=A0 &gt; (lambda (_ output)<br>
=C2=A0 =C2=A0 &gt; ;; ...<br>
=C2=A0 =C2=A0 &gt; )))<br>
=C2=A0 =C2=A0 &gt;<br>
=C2=A0 =C2=A0 &gt; What happens in practice is that, when I get to work, I =
select the services I need and start them (unless<br>
=C2=A0 =C2=A0 &gt; Emacs was killed, they are already started). Sometimes I=
 use Emacs quite frequently and then this is not so<br>
=C2=A0 =C2=A0 &gt; much of an issue because Emacs does not have time to idl=
e. But when I don&#39;t use Emacs for a while, it will<br>
=C2=A0 =C2=A0 &gt; hang waiting for the response from the service (because =
Emacs is idle).<br>
<br>
=C2=A0 =C2=A0 So you are saying that the service, which is a sub-process of=
 Emacs,<br>
=C2=A0 =C2=A0 produces some output, but Emacs doesn&#39;t read that output =
timely enough<br>
=C2=A0 =C2=A0 because it&#39;s idle?=C2=A0 That&#39;s not possible, I think=
: when Emacs is idle,<br>
=C2=A0 =C2=A0 it is most of the time stuck inside a call to &#39;pselect&#3=
9;, which should<br>
=C2=A0 =C2=A0 return immediately when some input arrived from a sub-process=
.<br>
<br>
=C2=A0 =C2=A0 So I guess I still don&#39;t understand something in your set=
up.=C2=A0 But<br>
=C2=A0 =C2=A0 what?<br>
<br>
<br>
<br>
<br>
--<br>
Johan Andersson<br>
System Developer, Burt<br>
</span><a href=3D"http://www.burtcorp.com" rel=3D"noreferrer" target=3D"_bl=
ank">www.burtcorp.com</a> &lt;<a href=3D"http://www.burtcorp.com" rel=3D"no=
referrer" target=3D"_blank">http://www.burtcorp.com</a>&gt;<br>
Cell: <a href=3D"tel:%2B46%20761%20041607" value=3D"+46761041607" target=3D=
"_blank">+46 761 041607</a><br>
https:// &lt;<a href=3D"http://twitter.com/rejeep" rel=3D"noreferrer" targe=
t=3D"_blank">http://twitter.com/rejeep</a>&gt;<a href=3D"http://github.com/=
rejeep" rel=3D"noreferrer" target=3D"_blank">git<wbr>hub.com/rejeep</a><br>
&lt;<a href=3D"http://github.com/rejeep" rel=3D"noreferrer" target=3D"_blan=
k">http://github.com/rejeep</a>&gt; | <a href=3D"http://twitter.com/rejeep"=
 rel=3D"noreferrer" target=3D"_blank">http://twitter.com/rejeep</a> |<br>
<a href=3D"http://twitter.com/burtcorp" rel=3D"noreferrer" target=3D"_blank=
">http://twitter.com/burtcorp</a><br>
</blockquote>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br><div class=
=3D"gmail_signature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><d=
iv><div>Johan Andersson</div><div><span>System Developer</span>, Burt</div>=
<div><a href=3D"http://www.burtcorp.com" target=3D"_blank">www.burtcorp.com=
</a></div><div>Cell: +46 761 041607</div><div><a href=3D"http://twitter.com=
/rejeep" style=3D"font-size:12.8px" target=3D"_blank">https://</a><a href=
=3D"http://github.com/rejeep" target=3D"_blank">github.com/rejeep</a>=C2=A0=
|=C2=A0<a href=3D"http://twitter.com/rejeep" style=3D"font-size:12.8px" tar=
get=3D"_blank">http://twitter.com/rejeep</a><span style=3D"font-size:12.8px=
">=C2=A0| </span><a href=3D"http://twitter.com/burtcorp" style=3D"font-size=
:12.8px" target=3D"_blank">http://twitter.com/burtcorp</a></div></div></div=
></div>
</div>

--94eb2c063bdcbf1aa40540433f7e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:28:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:28:24 2016
Received: from localhost ([127.0.0.1]:39425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1ffM-0004bL-Mk
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:28:24 -0400
Received: from dancol.org ([96.126.100.184]:43108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1c1ffK-0004bD-He
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:28:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:Message-ID:From:Cc:References:To:Subject;
 bh=oX/RfeQ+Qm1cfN0mVBeOhbl20nJeGb0w90IIE7cvxbQ=; 
 b=Z6A07BZNt/FgL/G8eQd/0fPgjNxqvyI9dMrEtpUrxt2GBgqwn2+fMKUvHP4ZErW1w9pRRaPIc2sC13+BSR3jyMkQ6jt2g5N9GImUERNk5+8cNfK+RIDkqpz7+ZAc7EsOofRnktUUQq3G5UEhG47HJ302TE9Kzz7jHlgmDZV92UvqGgwBiBmjqKlhfhDYFOWciPi8/B9/m01MnYSVMs4JOjUbHl6pgr9KfSdBYG1IutyzvuVqvYi8i17x7uIscWkGP4zbx2+Dz7DrQ3MKWdQY6XUPL/cyMhEEwFZvIqvjPLu0Zm0AIKc9WQWdvUQ9RAoaZ4W3auC8ZJoDT5rGlL7yQQ==;
Received: from c-73-97-199-232.hsd1.wa.comcast.net ([73.97.199.232]
 helo=[192.168.1.173])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <dancol@HIDDEN>)
 id 1c1ffI-0005kZ-U5; Tue, 01 Nov 2016 13:28:13 -0700
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Johan Andersson <johan.andersson@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
 <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <d6285435-876b-46c7-f254-69e0e4cbec6d@HIDDEN>
Date: Tue, 1 Nov 2016 13:28:09 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
In-Reply-To: <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

BTW: please don't top-post

On 11/01/2016 01:18 PM, Johan Andersson wrote:
> I added the set-process-filter in case that would make a difference, but
> I don't think that is the issue here. The issue is that the services
> (sub processes of Emacs as you say) takes a long time to respond when
> Emacs is idle. If I run the same command from a terminal, that doesn't
> happen.

Are you sure that your subprocess isn't buffering its output?

Can you catch Emacs in the act?

(Assuming GNU/Linux here.) Run emacs with "strace -s256 -o trace -ff -tt 
emacs" and look at the trace.* files produced. You should have one for 
each thread in each process. You should be able to identify the process 
involved from the system calls in each. (Look for execve.) Now, look for 
the write(2) system call from your subprocess and see how much time 
passes between that system call and Emacs waking up from pselect.

If Emacs wakes up very soon after that write(2), the problem lies in 
your code. If there is a big delay between that write(2) and Emacs 
returning from pselect, the problem is likely in Emacs.

>
> On Tue, Nov 1, 2016 at 9:13 PM, Eli Zaretskii <eliz@HIDDEN
> <mailto:eliz@HIDDEN>> wrote:
>
>     > From: Johan Andersson <johan.andersson@HIDDEN
>     <mailto:johan.andersson@HIDDEN>>
>     > Date: Tue, 1 Nov 2016 20:48:59 +0100
>     > Cc: 24849 <at> debbugs.gnu.org <mailto:24849 <at> debbugs.gnu.org>
>     >
>     > (let* ((default-directory "/tmp")
>     > (process (start-process "server" nil "python" "-m" "SimpleHTTPServer" "8000")))
>     > (set-process-filter
>     > process
>     > (lambda (_ output)
>     > ;; ...
>     > )))
>     >
>     > What happens in practice is that, when I get to work, I select the services I need and start them (unless
>     > Emacs was killed, they are already started). Sometimes I use Emacs quite frequently and then this is not so
>     > much of an issue because Emacs does not have time to idle. But when I don't use Emacs for a while, it will
>     > hang waiting for the response from the service (because Emacs is idle).
>
>     So you are saying that the service, which is a sub-process of Emacs,
>     produces some output, but Emacs doesn't read that output timely enough
>     because it's idle?  That's not possible, I think: when Emacs is idle,
>     it is most of the time stuck inside a call to 'pselect', which should
>     return immediately when some input arrived from a sub-process.
>
>     So I guess I still don't understand something in your setup.  But
>     what?
>
>
>
>
> --
> Johan Andersson
> System Developer, Burt
> www.burtcorp.com <http://www.burtcorp.com>
> Cell: +46 761 041607
> https:// <http://twitter.com/rejeep>github.com/rejeep
> <http://github.com/rejeep> | http://twitter.com/rejeep |
> http://twitter.com/burtcorp




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:19:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:19:04 2016
Received: from localhost ([127.0.0.1]:39420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1fWK-0004Nc-MV
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:19:03 -0400
Received: from mail-qt0-f175.google.com ([209.85.216.175]:33436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1fWI-0004NO-KD
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:18:55 -0400
Received: by mail-qt0-f175.google.com with SMTP id p16so101227738qta.0
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 13:18:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=01B/R/nFyVEPHnIgLFkN7NDsnPI51d9XLCmNF6t3+CY=;
 b=QifVlU+hJCZUxz1ZAJX0+dCmmiCHlhECLrbELL72kC0Fu66Vmu1Md8BDFQPK88zur3
 lX/U3Jf2B8CWQnY1rcneRuU3+ZrsnXcc+2g9dSdO36FPx+jmCTV9CFo71fh+P05EJZDU
 2ALxHSnMsw5vf8Yg+Fx8es5f6xo2+4CEDptgHwTEXCRWjod7+ALAticn1px+2BY9tDUS
 hLBIGtSc2w9czmRpdOtKpNrGBYi4JDVC4WG86vdiciYcSfF4nGKnV6s6/4yMvj6bG8gj
 tnTDrpAv5nsT/rO8w4h+1ToBzqy5F/Uc6Q+3XUfGrSrvxEUE7uVXNb/p5KM/uZCG1kWZ
 0HpA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=01B/R/nFyVEPHnIgLFkN7NDsnPI51d9XLCmNF6t3+CY=;
 b=bnqQu3d7GaXsJ6H0kYCkuJ973uNuI3rrSMx0B88xyPWl6WdzrtkSBFJOF5IWCY7+cD
 sUqIPhwmqcLESFlCI95zEFFXzQzqrvVd9Xbg2dh7RGSufAyjrPdiqhJQ2YFaCtserPMT
 Xm5BwHDN/V2blAU3sWj/f9JOx3uOSszUqyz6doCxLk2gNjE0mPaCa0xFa8AdlkXtepTT
 HEoMLAaqOlfH+L7gkjFknl7OcUICm3gaPEBO+EhEUNHfWAmLU+2D2CJdeC+o+BlDkKZC
 V8VhezHjhM+Rigc4kPOhAJx4DLgGm9dWOT6ocElXxzAexv754oa2hJkrczy4vpP5m+mV
 1n/g==
X-Gm-Message-State: ABUngvd3sdaG9TqcHKM9h7lYS++6yC3S0EMuTQa5BAW9lxofNb++AH7X+3T6uVZcfaBsdhIF+ao6fwKo6kHy5g==
X-Received: by 10.200.54.144 with SMTP id a16mr8563680qtc.104.1478031529163;
 Tue, 01 Nov 2016 13:18:49 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 13:18:28 -0700 (PDT)
In-Reply-To: <83wpgnm014.fsf@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 <83wpgnm014.fsf@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 21:18:28 +0100
Message-ID: <CAF4YyTqe8Jr6m_Hge6vN10WEHB8LQ1Mfu3fnY3cYQD-U-=NPyg@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113fe9824353720540430874
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

--001a113fe9824353720540430874
Content-Type: text/plain; charset=UTF-8

I added the set-process-filter in case that would make a difference, but I
don't think that is the issue here. The issue is that the services (sub
processes of Emacs as you say) takes a long time to respond when Emacs is
idle. If I run the same command from a terminal, that doesn't happen.

On Tue, Nov 1, 2016 at 9:13 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Johan Andersson <johan.andersson@HIDDEN>
> > Date: Tue, 1 Nov 2016 20:48:59 +0100
> > Cc: 24849 <at> debbugs.gnu.org
> >
> > (let* ((default-directory "/tmp")
> > (process (start-process "server" nil "python" "-m" "SimpleHTTPServer"
> "8000")))
> > (set-process-filter
> > process
> > (lambda (_ output)
> > ;; ...
> > )))
> >
> > What happens in practice is that, when I get to work, I select the
> services I need and start them (unless
> > Emacs was killed, they are already started). Sometimes I use Emacs quite
> frequently and then this is not so
> > much of an issue because Emacs does not have time to idle. But when I
> don't use Emacs for a while, it will
> > hang waiting for the response from the service (because Emacs is idle).
>
> So you are saying that the service, which is a sub-process of Emacs,
> produces some output, but Emacs doesn't read that output timely enough
> because it's idle?  That's not possible, I think: when Emacs is idle,
> it is most of the time stuck inside a call to 'pselect', which should
> return immediately when some input arrived from a sub-process.
>
> So I guess I still don't understand something in your setup.  But
> what?
>



-- 
Johan Andersson
System Developer, Burt
www.burtcorp.com
Cell: +46 761 041607
https:// <http://twitter.com/rejeep>github.com/rejeep |
http://twitter.com/rejeep | http://twitter.com/burtcorp

--001a113fe9824353720540430874
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I added the set-process-filter in case that would make a d=
ifference, but I don&#39;t think that is the issue here. The issue is that =
the services (sub processes of Emacs as you say) takes a long time to respo=
nd when Emacs is idle. If I run the same command from a terminal, that does=
n&#39;t happen.</div><div class=3D"gmail_extra"><br><div class=3D"gmail_quo=
te">On Tue, Nov 1, 2016 at 9:13 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a =
href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> =
wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bord=
er-left:1px #ccc solid;padding-left:1ex">&gt; From: Johan Andersson &lt;<a =
href=3D"mailto:johan.andersson@HIDDEN">johan.andersson@HIDDEN</=
a>&gt;<br>
&gt; Date: Tue, 1 Nov 2016 20:48:59 +0100<br>
&gt; Cc: <a href=3D"mailto:24849 <at> debbugs.gnu.org">24849 <at> debbugs.gnu.org</a>=
<br>
<span class=3D"">&gt;<br>
&gt; (let* ((default-directory &quot;/tmp&quot;)<br>
&gt; (process (start-process &quot;server&quot; nil &quot;python&quot; &quo=
t;-m&quot; &quot;SimpleHTTPServer&quot; &quot;8000&quot;)))<br>
&gt; (set-process-filter<br>
&gt; process<br>
&gt; (lambda (_ output)<br>
&gt; ;; ...<br>
&gt; )))<br>
&gt;<br>
&gt; What happens in practice is that, when I get to work, I select the ser=
vices I need and start them (unless<br>
&gt; Emacs was killed, they are already started). Sometimes I use Emacs qui=
te frequently and then this is not so<br>
&gt; much of an issue because Emacs does not have time to idle. But when I =
don&#39;t use Emacs for a while, it will<br>
&gt; hang waiting for the response from the service (because Emacs is idle)=
.<br>
<br>
</span>So you are saying that the service, which is a sub-process of Emacs,=
<br>
produces some output, but Emacs doesn&#39;t read that output timely enough<=
br>
because it&#39;s idle?=C2=A0 That&#39;s not possible, I think: when Emacs i=
s idle,<br>
it is most of the time stuck inside a call to &#39;pselect&#39;, which shou=
ld<br>
return immediately when some input arrived from a sub-process.<br>
<br>
So I guess I still don&#39;t understand something in your setup.=C2=A0 But<=
br>
what?<br>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br><div class=
=3D"gmail_signature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><d=
iv><div>Johan Andersson</div><div><span>System Developer</span>, Burt</div>=
<div><a href=3D"http://www.burtcorp.com" target=3D"_blank">www.burtcorp.com=
</a></div><div>Cell: +46 761 041607</div><div><a href=3D"http://twitter.com=
/rejeep" style=3D"font-size:12.8px" target=3D"_blank">https://</a><a href=
=3D"http://github.com/rejeep" target=3D"_blank">github.com/rejeep</a>=C2=A0=
|=C2=A0<a href=3D"http://twitter.com/rejeep" style=3D"font-size:12.8px" tar=
get=3D"_blank">http://twitter.com/rejeep</a><span style=3D"font-size:12.8px=
">=C2=A0| </span><a href=3D"http://twitter.com/burtcorp" style=3D"font-size=
:12.8px" target=3D"_blank">http://twitter.com/burtcorp</a></div></div></div=
></div>
</div>

--001a113fe9824353720540430874--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 20:13:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 16:13:27 2016
Received: from localhost ([127.0.0.1]:39416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1fQx-0002bS-R1
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:13:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1fQw-0002bD-K3
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:13:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1fQn-0005Dv-GG
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 16:13:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44987)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1fQn-0005Dr-CW; Tue, 01 Nov 2016 16:13:13 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4372
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1fQk-0004mT-Le; Tue, 01 Nov 2016 16:13:13 -0400
Date: Tue, 01 Nov 2016 22:13:11 +0200
Message-Id: <83wpgnm014.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Johan Andersson <johan.andersson@HIDDEN>
In-reply-to: <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
 (message from Johan Andersson on Tue, 1 Nov 2016 20:48:59 +0100)
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
 <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

> From: Johan Andersson <johan.andersson@HIDDEN>
> Date: Tue, 1 Nov 2016 20:48:59 +0100
> Cc: 24849 <at> debbugs.gnu.org
> 
> (let* ((default-directory "/tmp")
> (process (start-process "server" nil "python" "-m" "SimpleHTTPServer" "8000")))
> (set-process-filter
> process
> (lambda (_ output)
> ;; ...
> )))
> 
> What happens in practice is that, when I get to work, I select the services I need and start them (unless
> Emacs was killed, they are already started). Sometimes I use Emacs quite frequently and then this is not so
> much of an issue because Emacs does not have time to idle. But when I don't use Emacs for a while, it will
> hang waiting for the response from the service (because Emacs is idle).

So you are saying that the service, which is a sub-process of Emacs,
produces some output, but Emacs doesn't read that output timely enough
because it's idle?  That's not possible, I think: when Emacs is idle,
it is most of the time stuck inside a call to 'pselect', which should
return immediately when some input arrived from a sub-process.

So I guess I still don't understand something in your setup.  But
what?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 19:49:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 15:49:35 2016
Received: from localhost ([127.0.0.1]:39387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1f3n-00022t-TT
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 15:49:35 -0400
Received: from mail-qk0-f178.google.com ([209.85.220.178]:34442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1f3k-00022g-SO
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 15:49:25 -0400
Received: by mail-qk0-f178.google.com with SMTP id q130so92864263qke.1
 for <24849 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 12:49:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=2iNmk0vpl7vaH8jWxs2oh4SaP+NF1zN7u6gblHXZiVs=;
 b=2A4aowesY8P/roA+YOEu3ATOGtOJPm2xLsNkEy0jjbHpbC+Qpni2kpR9HlBT+ZGnv9
 skE7BeFRDE8ERf9qAiNzUS/MjmHfUxJfDOoBqD2VTk3CiY5LvrM1biemirpPEScRhRu9
 wOpE7Vg78I6polqzVo3EbcgMkQXc8j6WblGCh+BLJikRJEeDpcG+KEHZ2Jimg5xwXdO/
 95AQ9WBely1wVGLzUSqL2ekbYq7cA7DNj28vze1aaV5wjtIB3Qh/wvLoe6XBM/KCHhMs
 WGoP+JPbajR1+MdKcMe0C1F/r72So0kDlQpwdlQiBGkXknZuhIqW/8LyuU50tMGnVQhi
 Io/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=2iNmk0vpl7vaH8jWxs2oh4SaP+NF1zN7u6gblHXZiVs=;
 b=EJAO5lnNuuuJrpAwfmqYWlfyZSuZRh7hqQN1ZIwjTC9Q1M2R4mKCgH3AR5wa4Oew6d
 FHJyjO9l5XEMZd3p1LEzxas+dpeCDHUlyQ3OK4GX1dIQ8zA0CmzqG8dgrfC1vj3mq5vz
 pOkt8HDxEojV1zRS92JuZwLZ5thO3IZ5pqm/BfkYI9kuWTuH67GsCGDFoBtbFQgDYBfP
 4ENqOFoJC9+ihmlEJrbFw47V8/OhtlvEoMHFjkqLLd9FTdkv2v6owyQqLYYCEKPdAUBd
 3TjQTiEQyRkHZdbCT7DAwepR/KzoQ3T0Ls0Pl6k35CSUTZtHRzAtgi+7rHYBRRQwF5Yx
 lt7g==
X-Gm-Message-State: ABUngvdPavkvIPiO9z1+RKUp9vrapPhs3uC0PxHLiMdx/KaxB8WFZ7D2UZSIpI7lZAhf1+PUL9yK90Le9aUbBw==
X-Received: by 10.55.6.141 with SMTP id 135mr31748363qkg.79.1478029759396;
 Tue, 01 Nov 2016 12:49:19 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 12:48:59 -0700 (PDT)
In-Reply-To: <83oa1znpah.fsf@HIDDEN>
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 <83oa1znpah.fsf@HIDDEN>
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 20:48:59 +0100
Message-ID: <CAF4YyTpFPvUsYwanf5+9VTTWbozYK+-NruN-xyyREhfZT1sGYA@HIDDEN>
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114c8692c6e63c0540429e98
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Sorry for not being clear enough. With Prodigy, you define
 a service. Usually that is a path, command and arguments to the command.
 You can then via the Prodigy GUI manage (start/stop/restart/etc...) these
 services. [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [209.85.220.178 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.220.178 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.220.178 listed in wl.mailspike.net]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Sorry for not being clear enough. With Prodigy, you define
    a service. Usually that is a path, command and arguments to the command.
   You can then via the Prodigy GUI manage (start/stop/restart/etc...) these
   services. [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [209.85.220.178 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.220.178 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.220.178 listed in list.dnswl.org]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--001a114c8692c6e63c0540429e98
Content-Type: text/plain; charset=UTF-8

Sorry for not being clear enough.

With Prodigy, you define a service. Usually that is a path, command and
arguments to the command. You can then via the Prodigy GUI manage
(start/stop/restart/etc...) these services.

To put it very simple, what happens in Prodigy when a service is started is
basically this:

(let* ((default-directory "/tmp")
       (process (start-process "server" nil "python" "-m"
"SimpleHTTPServer" "8000")))
  (set-process-filter
   process
   (lambda (_ output)
     ;; ...
     )))

What happens in practice is that, when I get to work, I select the services
I need and start them (unless Emacs was killed, they are already started).
Sometimes I use Emacs quite frequently and then this is not so much of an
issue because Emacs does not have time to idle. But when I don't use Emacs
for a while, it will hang waiting for the response from the service
(because Emacs is idle).

Hope you understand my issue better!

On Tue, Nov 1, 2016 at 5:22 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Johan Andersson <johan.andersson@HIDDEN>
> > Date: Tue, 1 Nov 2016 09:44:20 +0100
> >
> > I have written an Emacs package called Prodigy (
> https://github.com/rejeep/prodigy.el/). The package is used
> > to manage external services from within Emacs. A service is some kind of
> running process, usually a web
> > server or database.
> >
> > There has always been an issue that I have not investigated further. It
> seems that after a while, if Emacs is
> > not focused, it ends up in some idle mode. The effect is that requests
> are very slow, almost hangs for a few
> > seconds. If I focus the Emacs window, the request goes through
> immediately.
> >
> > The reason I'm asking about it now is that this has gotten even worse in
> Emacs 25.
> >
> > My question is if anyone knows what this is about and if it's possible
> to solve?
>
> Please describe in more detail what you package does and how it is
> related to "non-idle" Emacs.  IOW, why does your package care whether
> Emacs is idle or not.
>
> My suspicion is that your package somehow assumes that the Emacs main
> loop is always running at the same fast speed, which is not true.  In
> particular, when the frame doesn't have the focus, Emacs 25 stops the
> blinking cursor timer, and if that is the only high-frequency activity
> in Emacs (i.e. there's no other timers or external events that drive
> the event loop), then yes, Emacs will only crank the event loop at
> very low frequency.
>
> But I'm not sure this is related to your problem, because I don't know
> what does your package expect from Emacs.
>



-- 
Johan Andersson
System Developer, Burt
www.burtcorp.com
Cell: +46 761 041607
https:// <http://twitter.com/rejeep>github.com/rejeep |
http://twitter.com/rejeep | http://twitter.com/burtcorp

--001a114c8692c6e63c0540429e98
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Sorry for not being clear enough.</div><div><br></div=
><div>With Prodigy, you define a service. Usually that is a path, command a=
nd arguments to the command. You can then via the Prodigy GUI manage (start=
/stop/restart/etc...) these services.</div><div><br></div><div>To put it ve=
ry simple, what happens in Prodigy when a service is started is basically t=
his:</div><div><br></div><div><font face=3D"monospace, monospace">(let* ((d=
efault-directory &quot;/tmp&quot;)</font></div><div><font face=3D"monospace=
, monospace">=C2=A0 =C2=A0 =C2=A0 =C2=A0(process (start-process &quot;serve=
r&quot; nil &quot;python&quot; &quot;-m&quot; &quot;SimpleHTTPServer&quot; =
&quot;8000&quot;)))</font></div><div><font face=3D"monospace, monospace">=
=C2=A0 (set-process-filter</font></div><div><font face=3D"monospace, monosp=
ace">=C2=A0 =C2=A0process</font></div><div><font face=3D"monospace, monospa=
ce">=C2=A0 =C2=A0(lambda (_ output)</font></div><div><font face=3D"monospac=
e, monospace">=C2=A0 =C2=A0 =C2=A0;; ...</font></div><div><font face=3D"mon=
ospace, monospace">=C2=A0 =C2=A0 =C2=A0)))</font></div><div><br></div><div>=
What happens in practice is that, when I get to work, I select the services=
 I need and start them (unless Emacs was killed, they are already started).=
 Sometimes I use Emacs quite frequently and then this is not so much of an =
issue because Emacs does not have time to idle. But when I don&#39;t use Em=
acs for a while, it will hang waiting for the response from the service (be=
cause Emacs is idle).</div><div><br></div><div>Hope you understand my issue=
 better!<br></div></div><div class=3D"gmail_extra"><br><div class=3D"gmail_=
quote">On Tue, Nov 1, 2016 at 5:22 PM, Eli Zaretskii <span dir=3D"ltr">&lt;=
<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</spa=
n> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;b=
order-left:1px #ccc solid;padding-left:1ex">&gt; From: Johan Andersson &lt;=
<a href=3D"mailto:johan.andersson@HIDDEN">johan.andersson@HIDDEN=
m</a>&gt;<br>
&gt; Date: Tue, 1 Nov 2016 09:44:20 +0100<br>
&gt;<br>
&gt; I have written an Emacs package called Prodigy (<a href=3D"https://git=
hub.com/rejeep/prodigy.el/" rel=3D"noreferrer" target=3D"_blank">https://gi=
thub.com/rejeep/<wbr>prodigy.el/</a>). The package is used<br>
&gt; to manage external services from within Emacs. A service is some kind =
of running process, usually a web<br>
&gt; server or database.<br>
&gt;<br>
&gt; There has always been an issue that I have not investigated further. I=
t seems that after a while, if Emacs is<br>
&gt; not focused, it ends up in some idle mode. The effect is that requests=
 are very slow, almost hangs for a few<br>
&gt; seconds. If I focus the Emacs window, the request goes through immedia=
tely.<br>
&gt;<br>
&gt; The reason I&#39;m asking about it now is that this has gotten even wo=
rse in Emacs 25.<br>
&gt;<br>
&gt; My question is if anyone knows what this is about and if it&#39;s poss=
ible to solve?<br>
<br>
Please describe in more detail what you package does and how it is<br>
related to &quot;non-idle&quot; Emacs.=C2=A0 IOW, why does your package car=
e whether<br>
Emacs is idle or not.<br>
<br>
My suspicion is that your package somehow assumes that the Emacs main<br>
loop is always running at the same fast speed, which is not true.=C2=A0 In<=
br>
particular, when the frame doesn&#39;t have the focus, Emacs 25 stops the<b=
r>
blinking cursor timer, and if that is the only high-frequency activity<br>
in Emacs (i.e. there&#39;s no other timers or external events that drive<br=
>
the event loop), then yes, Emacs will only crank the event loop at<br>
very low frequency.<br>
<br>
But I&#39;m not sure this is related to your problem, because I don&#39;t k=
now<br>
what does your package expect from Emacs.<br>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br><div class=
=3D"gmail_signature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><d=
iv><div>Johan Andersson</div><div><span>System Developer</span>, Burt</div>=
<div><a href=3D"http://www.burtcorp.com" target=3D"_blank">www.burtcorp.com=
</a></div><div>Cell: +46 761 041607</div><div><a href=3D"http://twitter.com=
/rejeep" style=3D"font-size:12.8px" target=3D"_blank">https://</a><a href=
=3D"http://github.com/rejeep" target=3D"_blank">github.com/rejeep</a>=C2=A0=
|=C2=A0<a href=3D"http://twitter.com/rejeep" style=3D"font-size:12.8px" tar=
get=3D"_blank">http://twitter.com/rejeep</a><span style=3D"font-size:12.8px=
">=C2=A0| </span><a href=3D"http://twitter.com/burtcorp" style=3D"font-size=
:12.8px" target=3D"_blank">http://twitter.com/burtcorp</a></div></div></div=
></div>
</div>

--001a114c8692c6e63c0540429e98--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at 24849 <at> debbugs.gnu.org:


Received: (at 24849) by debbugs.gnu.org; 1 Nov 2016 16:22:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 12:22:13 2016
Received: from localhost ([127.0.0.1]:39170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1bpB-0003fd-8e
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:22:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1bpA-0003fO-2n
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:22:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1bp0-0004Qs-WD
 for 24849 <at> debbugs.gnu.org; Tue, 01 Nov 2016 12:22:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40815)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1bp0-0004Qo-Si; Tue, 01 Nov 2016 12:21:58 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4077
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1bp0-0001Kk-4l; Tue, 01 Nov 2016 12:21:58 -0400
Date: Tue, 01 Nov 2016 18:22:14 +0200
Message-Id: <83oa1znpah.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Johan Andersson <johan.andersson@HIDDEN>
In-reply-to: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
 (message from Johan Andersson on Tue, 1 Nov 2016 09:44:20 +0100)
Subject: Re: bug#24849: Is Emacs put in idle mode when window is not focused?
References: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 24849
Cc: 24849 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

> From: Johan Andersson <johan.andersson@HIDDEN>
> Date: Tue, 1 Nov 2016 09:44:20 +0100
> 
> I have written an Emacs package called Prodigy (https://github.com/rejeep/prodigy.el/). The package is used
> to manage external services from within Emacs. A service is some kind of running process, usually a web
> server or database.
> 
> There has always been an issue that I have not investigated further. It seems that after a while, if Emacs is
> not focused, it ends up in some idle mode. The effect is that requests are very slow, almost hangs for a few
> seconds. If I focus the Emacs window, the request goes through immediately.
> 
> The reason I'm asking about it now is that this has gotten even worse in Emacs 25.
> 
> My question is if anyone knows what this is about and if it's possible to solve?

Please describe in more detail what you package does and how it is
related to "non-idle" Emacs.  IOW, why does your package care whether
Emacs is idle or not.

My suspicion is that your package somehow assumes that the Emacs main
loop is always running at the same fast speed, which is not true.  In
particular, when the frame doesn't have the focus, Emacs 25 stops the
blinking cursor timer, and if that is the only high-frequency activity
in Emacs (i.e. there's no other timers or external events that drive
the event loop), then yes, Emacs will only crank the event loop at
very low frequency.

But I'm not sure this is related to your problem, because I don't know
what does your package expect from Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Nov 2016 15:36:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 01 11:36:39 2016
Received: from localhost ([127.0.0.1]:39114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1b79-0002WF-AE
	for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 11:36:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1Uge-0006Kp-5Z
 for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 04:44:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1UgX-0000vq-Vf
 for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 04:44:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40686)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <johan.andersson@HIDDEN>)
 id 1c1UgX-0000vm-Su
 for submit <at> debbugs.gnu.org; Tue, 01 Nov 2016 04:44:45 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58410)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1UgW-0008VN-J0
 for bug-gnu-emacs@HIDDEN; Tue, 01 Nov 2016 04:44:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johan.andersson@HIDDEN>) id 1c1UgV-0000us-H0
 for bug-gnu-emacs@HIDDEN; Tue, 01 Nov 2016 04:44:44 -0400
Received: from mail-qt0-x22e.google.com ([2607:f8b0:400d:c0d::22e]:34075)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <johan.andersson@HIDDEN>)
 id 1c1UgV-0000u9-9q
 for bug-gnu-emacs@HIDDEN; Tue, 01 Nov 2016 04:44:43 -0400
Received: by mail-qt0-x22e.google.com with SMTP id n6so52902996qtd.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 01 Nov 2016 01:44:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=burtcorp-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=9KlFKGG0+9kdUKEUbt4Br9gV7y9zoGaeO/obVGp7AE8=;
 b=NlTXNKMEQpNsS7OPgd9BPBcNDbZgd3tNeL5FKAP2ZfI9p5TCh1YxxSSZDZt+DKo4KW
 vLh1qct9sJWckg08flMhxX2+cobI5nePfibWPA9FGps0k4ToQ/LEDj4CTXLyJg+TfWMG
 wJNNmqtkmXtEF0le5G0M57D1Duh+R/apuWsfLtGwImJik3uASl10k/l/kKC4uCMvsLKT
 Sajb1QwAN5g3K3xf0B0v38AK0MxHzQ8hrNTuMiPuQXoNtyk3t1Mn8scsOnwywil6GIGm
 e8XzyNqXivOEB6erF7Ishm3qceNeLPzxC/4M942+ONYkKsHmDM3p7fjR1KnSmiY+VaHt
 LjYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=9KlFKGG0+9kdUKEUbt4Br9gV7y9zoGaeO/obVGp7AE8=;
 b=dxwQl5kFlIIXLnwJst+vNdL2T3TCLx63NS6kGPOcH7ooziEgY7Clc2hHTJG/CBCBRZ
 cpSw78ZFgoc0BZEv0vRCWQfVZj2cbin7Tk+cLCr9vgMhSl9L6LctN/ThQgiMYH44h74m
 yWCtG4CoetJnbXE/gBqnPSZrBJpaW87Ty6NDIrozV5dusvn5ZMGCy2Q24pjWpUd5Shi2
 40/oPGz0XciWIb+4ns3Yrq/QqD638W7kQzD8lCzqzbyGFmvF1UmPdDu045nOq0PFHev+
 mtrn+T2VpJ57zrSKoBhetwO/ulvL1OkgTn+TbgAvNbWYsTNtDBDmtPvtGOCeeXBV0TA5
 pL6g==
X-Gm-Message-State: ABUngvcXeHsRrv9p4OKwXPm/O7ooksCb8jaiBk+XLkL1XgFd2FrZ1IMz8sMaMVjHEFBy+iAvfaKtGKnfKO2eEA==
X-Received: by 10.237.46.1 with SMTP id j1mr26320666qtd.29.1477989881308; Tue,
 01 Nov 2016 01:44:41 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.38.33 with HTTP; Tue, 1 Nov 2016 01:44:20 -0700 (PDT)
From: Johan Andersson <johan.andersson@HIDDEN>
Date: Tue, 1 Nov 2016 09:44:20 +0100
Message-ID: <CAF4YyTpGYNK+7AL8ch7vMvhiCvJUxV9Z4vfzUXbj0uibe=oHhw@HIDDEN>
Subject: Is Emacs put in idle mode when window is not focused?
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=94eb2c1236e0db937f0540395577
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 01 Nov 2016 11:36:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

--94eb2c1236e0db937f0540395577
Content-Type: text/plain; charset=UTF-8

Hello,

I have written an Emacs package called Prodigy (
https://github.com/rejeep/prodigy.el/). The package is used to manage
external services from within Emacs. A service is some kind of running
process, usually a web server or database.

There has always been an issue that I have not investigated further. It
seems that after a while, if Emacs is not focused, it ends up in some idle
mode. The effect is that requests are very slow, almost hangs for a few
seconds. If I focus the Emacs window, the request goes through immediately.

The reason I'm asking about it now is that this has gotten even worse in
Emacs 25.

My question is if anyone knows what this is about and if it's possible to
solve?

Thanks!

-- 
Johan Andersson
System Developer, Burt
www.burtcorp.com
Cell: +46 761 041607
https:// <http://twitter.com/rejeep>github.com/rejeep |
http://twitter.com/rejeep | http://twitter.com/burtcorp

--94eb2c1236e0db937f0540395577
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hello,<div><br></div><div>I have written an Emacs package =
called Prodigy (<a href=3D"https://github.com/rejeep/prodigy.el/">https://g=
ithub.com/rejeep/prodigy.el/</a>). The package is used to manage external s=
ervices from within Emacs. A service is some kind of running process, usual=
ly a web server or database.</div><div><br></div><div>There has always been=
 an issue that I have not investigated further. It seems that after a while=
, if Emacs is not focused, it ends up in some idle mode. The effect is that=
 requests are very slow, almost hangs for a few seconds. If I focus the Ema=
cs window, the request goes through immediately.</div><div><br></div><div>T=
he reason I&#39;m asking about it now is that this has gotten even worse in=
 Emacs 25.</div><div><br></div><div>My question is if anyone knows what thi=
s is about and if it&#39;s possible to solve?</div><div><br></div><div>Than=
ks!<br clear=3D"all"><div><br></div>-- <br><div class=3D"gmail_signature"><=
div dir=3D"ltr"><div><div>Johan Andersson</div><div><span>System Developer<=
/span>, Burt</div><div><a href=3D"http://www.burtcorp.com" target=3D"_blank=
">www.burtcorp.com</a></div><div>Cell: +46 761 041607</div><div><a href=3D"=
http://twitter.com/rejeep" style=3D"font-size:12.8px" target=3D"_blank">htt=
ps://</a><a href=3D"http://github.com/rejeep" target=3D"_blank">github.com/=
rejeep</a>=C2=A0|=C2=A0<a href=3D"http://twitter.com/rejeep" style=3D"font-=
size:12.8px" target=3D"_blank">http://twitter.com/rejeep</a><span style=3D"=
font-size:12.8px">=C2=A0| </span><a href=3D"http://twitter.com/burtcorp" st=
yle=3D"font-size:12.8px" target=3D"_blank">http://twitter.com/burtcorp</a><=
/div></div></div></div>
</div></div>

--94eb2c1236e0db937f0540395577--




Acknowledgement sent to Johan Andersson <johan.andersson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24849; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 11 Nov 2016 19:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.